个人工具
名字空间
变换
操作

ShopEX对安装环境的要求

来自站长百科
跳转到: 导航, 搜索

导航: 上一页 | ShopEX | 首页 | ECShop | osCommerce | zenCart | ShopNC

与一般的软件不同,运行shopex需要特殊的环境支持,如果环境不适合,则安装会无法进行。

Windows 平台

在此平台下,需要安装的软件一般为:

IIS/Apache + PHP + MySQL + Zend Optimizer

软件版本要求如下:

  1. IIS 5.0 及以上版本
  2. Apache2.0以上 版本
  3. PHP 4.3及以上版本
  4. Zend Optimizer2.5.7 及以上版本
  5. MySQL 4.0 及以上版本

Linux/Unix 平台

在此平台下,需要安装的软件一般为:

Apache + PHP + MySQL + Zend Optimizer

软件版本要求如下:

  • Apache2以上 版本
  • PHP 4.3及以上版本(非安全模式下运行)
  • Zend Optimizer2.5.7 及以上版本
  • MySQL 4.0以上版本

推荐建议使用软件环境:Linux + Apache2.0 + PHP5.0 + MySQL5.0

对PHP的特殊要求

以下PHP扩展必须打开,否则ShopEx将无法正常运行

  • GD扩展
  • MySQL扩展

以上是最低要求,为了更好的运行ShopEx程序我们推荐把下面的扩展也打开:

  • zlib扩展
  • json扩展
  • mbstring扩展
  • iconv扩展

基本目录结构说明

  • ../install 安装程序目录,安装完后可删除
  • ../config 系统配置文件目录,需要设置为可写
  • ../core 系统核心引擎文件目录
  • ../home 用户网店个性化信息目录,权限需要设置为可写
  • ../images 系统图片存放目录,权限需要设置为可写
  • ../plugins 系统插件存放目录
  • ../shopadmin 系统默认的管理目录,建议安装后自行更改
  • ../themes 系统模版存放目录,权限需要设置为可写

留言